import { handleActions } from 'redux-seamless-reducers';

import { reducer as hide } from './hide';
import { reducer as show } from './show';


const DefaultState = {
    entries: []
};

const actions = {
    ...hide,
    ...show
};

export default () => {
    return {
        messages: handleActions(actions, DefaultState)
    };
};
